Bug 1373740 - [RFE]: events from protocol server
Summary: [RFE]: events from protocol server
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: protocol
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Prasanna Kumar Kalever
QA Contact:
URL:
Whiteboard: USM-Gluster integration
Depends On: 1367382 1369403
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-07 06:10 UTC by Prasanna Kumar Kalever
Modified: 2016-12-06 06:00 UTC (History)
10 users (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1369403
Environment:
Last Closed: 2016-12-06 06:00:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Prasanna Kumar Kalever 2016-09-07 06:10:01 UTC
+++ This bug was initially created as a clone of Bug #1369403 +++

Description of problem:
This RFE is to track the changes required in the protocol server component to generate the events to be consumed by the eventing framework.


COMMIT: http://review.gluster.org/15294 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit db3286184a1ab89d3edb9cf4d645a2db724fada0
Author: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
Date:   Tue Aug 30 13:40:41 2016 +0530

    protocol-server: generate events
    
    This patch add/generate the events seen from/in the protocol server
    side, which will be consumed by the new eventing framework.
    
    -------------------------------------------------------------------------
    |          event                |            description                |
    |-------------------------------|---------------------------------------|
    | EVENT_CLIENT_CONNECT          |          new client connected         |
    |-------------------------------|---------------------------------------|
    | EVENT_CLIENT_AUTH_REJECT      |     client cannot be authenticated    |
    |-------------------------------|---------------------------------------|
    | EVENT_CLIENT_DISCONNECT       |        client had disconnected        |
    -------------------------------------------------------------------------
    
    Thanks to "Raghavendra Talur" <rtalur@redhat.com> for all the help
    
    Change-Id: I4fda83fae7747507f64d81a7645cc3a8a2fbaeae
    BUG: 1369403
    Signed-off-by: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
    Reviewed-on: http://review.gluster.org/15294
    Tested-by: Prasanna Kumar Kalever <pkalever@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Raghavendra G <rgowdapp@redhat.com>

Comment 1 Worker Ant 2016-09-07 06:12:02 UTC
REVIEW: http://review.gluster.org/15415 (protocol-server: generate events) posted (#1) for review on release-3.9 by Prasanna Kumar Kalever (pkalever@redhat.com)

Comment 2 Prasanna Kumar Kalever 2016-09-07 06:13:50 UTC
please-review: http://review.gluster.org/#/c/15415

Comment 3 Worker Ant 2016-09-08 07:59:26 UTC
COMMIT: http://review.gluster.org/15415 committed in release-3.9 by Raghavendra G (rgowdapp@redhat.com) 
------
commit 105f434a5e686ae1199d6a441809cc6598cc46d8
Author: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
Date:   Tue Aug 30 13:40:41 2016 +0530

    protocol-server: generate events
    
    This patch add/generate the events seen from/in the protocol server
    side, which will be consumed by the new eventing framework.
    
    -------------------------------------------------------------------------
    |          event                |            description                |
    |-------------------------------|---------------------------------------|
    | EVENT_CLIENT_CONNECT          |          new client connected         |
    |-------------------------------|---------------------------------------|
    | EVENT_CLIENT_AUTH_REJECT      |     client cannot be authenticated    |
    |-------------------------------|---------------------------------------|
    | EVENT_CLIENT_DISCONNECT       |        client had disconnected        |
    -------------------------------------------------------------------------
    
    Thanks to "Raghavendra Talur" <rtalur@redhat.com> for all the help
    
    Backport of:
    > Change-Id: I4fda83fae7747507f64d81a7645cc3a8a2fbaeae
    > BUG: 1369403
    > Signed-off-by: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
    > Reviewed-on: http://review.gluster.org/15294
    > Tested-by: Prasanna Kumar Kalever <pkalever@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Raghavendra G <rgowdapp@redhat.com>
    
    Change-Id: I4fda83fae7747507f64d81a7645cc3a8a2fbaeae
    BUG: 1373740
    Signed-off-by: Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
    Reviewed-on: http://review.gluster.org/15415
    Tested-by: Prasanna Kumar Kalever <pkalever@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Atin Mukherjee <amukherj@redhat.com>

Comment 4 Aravinda VK 2016-10-27 05:22:31 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 5 Aravinda VK 2016-12-06 06:00:02 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.